# coding: utf-8
from optparse import make_option
from django.core.management import BaseCommand
from celery_balancer.api import BalancerApi


class Command(BaseCommand):
    help = u'''
        Привязка воркеров к их очередям.
        Эта процедура нужна, потому что при аварийной остановке балансировщика
        связь между воркером и очередью может быть потеряна.
        Запускается автоматически при запуске балансировщика.
        '''
    args = u''
    option_list = BaseCommand.option_list + (
        make_option(
            u'-e',
            u'--error_log_file',
            dest=u'error_log_file',
            default=u'',
            help=u'Name of error log file',
            metavar=u'FILENAME',
        ),
        make_option(
            u'-i',
            u'--info_log_file',
            dest=u'info_log_file',
            default=u'',
            help=u'Name of info log file',
            metavar=u'FILENAME',
        ),
        make_option(
            u'-l',
            u'--logs_path',
            dest=u'logs_path',
            default=u'',
            help=u'Path to folder with logs',
            metavar=u'PATH',
        ),
    )

    def handle(self, *args, **options):
        error_log_file = options[u'error_log_file']
        info_log_file = options[u'info_log_file']
        logs_path = options[u'logs_path']
        BalancerApi(
            error_log_file, info_log_file, logs_path
        ).bind_workers_to_queues()